Update Project

Update a project's name, description, visibility, or mode. Only the fields you provide are changed.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

idstringRequired
A unique identifier for a project.

Request

This endpoint expects an object.
namestringOptional
A new name for the project.
descriptionstringOptional
A new description for the project.
visibilityenumOptional
Update who can see the project.
modeenumOptional
Update the project mode.

Response

Project updated successfully
idstring
A unique identifier for a project.
createdAtdatetime
The date and time the project was created.
updatedAtdatetime
The date and time the project was last updated.
visibilityenum
Who can see the project.
modeenum
The project mode.
namestring
The display name of the project.
descriptionstring
An optional description of the project.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error